%define _buildid .8

Summary: The shared library for the S-Lang extension language
Name: slang
Version: 2.2.1
Release: 1%{?_buildid}%{?dist}
License: GPLv2+
Group: System Environment/Libraries
Source: ftp://space.mit.edu/pub/davis/slang/v2.2/%{name}-%{version}.tar.bz2
# fix file permissions, library symlink, parallel build, remove RPATH
Patch1: slang-2.1.4-makefile.patch
# don't use internal glibc symbol
Patch2: slang-nointerlibc2.patch
URL: http://www.jedsoft.org/slang/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libpng-devel oniguruma-devel pcre-devel zlib-devel

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package slsh
Summary: Interpreter for S-Lang scripts
Group: Development/Languages
Requires: %{name} = %{version}-%{release}

%description slsh
slsh (slang-shell) is a program for interpreting S-Lang scripts. 
It supports dynamic loading of S-Lang modules and includes a readline
interface for interactive use.

This package also includes S-Lang modules that are distributed with
the S-Lang distribution.

%package devel
Summary: Development files for the S-Lang extension language
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains files which you'll need if you want to
develop S-Lang based applications.  Documentation which may help
you write S-Lang based applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%package static
Summary: The static library for the S-Lang extension language
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
This package includes static library for the S-Lang extension
language.

%prep
%setup -q
%patch1 -p1 -b .makefile
%patch2 -p1 -b .nointerlibc2

head -n -1800 < changes.txt > changes.txt_ && tail -n 1800 < changes.txt | \
	iconv -f iso8859-1 -t utf8 >> changes.txt_ && \
	touch -r changes.txt{,_} && mv changes.txt{_,}

%build
%configure \
	--includedir=%{_includedir}/slang \
	--with-{pcre,onig,png,z}lib=%{_libdir} \
	--with-{pcre,onig,png,z}inc=%{_includedir} \
;

make %{?_smp_mflags} install_doc_dir=%{_docdir}/%{name}-%{version}

%install
rm -rf ${RPM_BUILD_ROOT}

make install-all INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir}/{slang,slsh}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING NEWS doc/README changes.txt doc/*/slang*.txt doc/*.txt
%{_libdir}/libslang*.so.*

%files slsh
%defattr(-,root,root)
%doc slsh/doc/html/slsh*.html
%config(noreplace) %{_sysconfdir}/slsh.rc
%{_bindir}/slsh
%{_libdir}/slang
%{_mandir}/man1/slsh.1*
%{_datadir}/slsh

%files devel
%defattr(-,root,root)
%doc doc/*/cslang*.txt doc/*/cref.txt
%{_libdir}/libslang*.so
%{_libdir}/pkgconfig/slang.pc
%{_includedir}/slang

%files static
%defattr(-,root,root)
%{_libdir}/libslang*.a

%changelog
* Fri Jul 9 2010 22:45:58 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/slang-2.2.1-1.el6

* Fri May 7 2010 02:49:26 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/slang-2.0.6-4.el5

* Fri May 7 2010 00:17:01 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package slang
